sdptool(1)

NAME
sdptool — control and interrogate SDP servers

SYNOPSIS

sdptool [options] {command} [command parameters ...]

DESCRIPTION

sdptool provides the interface for performing SDP queries on Bluetooth devices, and administering a local sdpd.

COMMANDS

The following commands are available.

search [--bdaddr bdaddr] [--tree] service
    Search for services..

    Known service names are SP< DUN, LAN, FAX, OPUSH, FTRN, NAP, GN, HID, CIP.

browse [--tree] [bdaddr]
    Browse all available services on the device specified by a Bluetooth address as a parameter.

add [ --channel=N ]
    Add a service to the local sdpd.

    You can specify a channel to add the service on using the --channel option.

del record_handle
    Remove a service from the local sdpd.

get [--tree] [--bdaddr bdaddr] record_handle
    Retrieve a service from the local sdpd.

setattr record_handle attrib_id attrib_value
    Set or add an attribute to an SDP record.

setseq record_handle attrib_id attrib_values
    Set or add an attribute sequence to an SDP record.

OPTIONS

--help
    Displays help on using sdptool.

EXAMPLES

sdptool browse 00:80:98:24:15:6D

sdptool browse local

sdptool add DUN

sdptool del LAN

BUGS

Documentation needs improving.

AUTHOR

Maxim Krasnyansky <maxk@qualcomm.com>. Man page written by Edd Dumbill <ejad@debian.org>.

SEE ALSO

sdpd(8)